<?php

/************************************************************************
	UebiMiau is a GPL'ed software developed by 
	 - Aldoir Ventura - aldoir@users.sourceforge.net
	 - http://uebimiau.sourceforge.net São Paulo - Brasil
   		
	***********************************************************************
	Version 3.2.0 Upgrades and templates developed by
	 - Todd Henderson - Lead Developer - http://tdah.us 
	 - Dave Rodgers - Developer - http://www.manvel.net 
	 - Laurent (AdNovea) - Developer - http://adnovea.free.fr
	 
	***********************************************************************
	 - Special thanks to the developers at 
	codeworxtech.com, tinymce.moxiecode.com
	telaen.org, phptoys.com, winged.info, ngcoders.com
	without help this project wouldn't be possible 
	
	***********************************************************************
	- File:			config.system.php
	- Developer: 	Created  by Laurent (AdNovea)
	- Date:			November 4, 2008
	- version:		(3.2.0) 1.0
	- Description:  Define UebiMiau constants and variables
	
*************************************************************************/


	define('yes', 1);
	define('no', 0);
	
	define('SW_VERSION', 		"3.2.0-2.0 JP");							// UebiMiau version , release date and website link
	define('SW_DATE', 			"May 2009");
	define('SW_LINK', 			"www.tdah.us");
	
	define('SMARTY_VERSION',	"(<i>May 16th, 2009</i>)");				// Smarty version
	define('SMARTY_LINK', 		"www.smarty.net");
	
	define('TINYMCE_VERSION', 	"3.2.1.1  (<i>Nov 27th, 2008</i>)");	// Tiny MCE version, website link and path
	define('TINYMCE_LINK', 		"tinymce.moxiecode.com");
	define('TINYMCE_PATH', 		"editors/tiny_mce");
	
	define('DOC_TYPE',
					//	'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">');
						'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">');
					//	'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">');
	
	// Template Sections. includes template path 
	define("TPL_PANEL","/inc/panel.tpl");	
	define("TPL_TREE","/inc/tree.tpl");	
	define("TPL_TOOLBAR","/inc/toolbar.tpl");	
	define("TPL_MENU","/inc/menu.tpl");	
	define("TPL_HEADER","/inc/header.tpl");	
	define("TPL_BANNER","/inc/banner.tpl");
	define("TPL_LIST","/inc/list.tpl");	
	define("TPL_VIEW","/inc/view.tpl");	
	define("TPL_SEARCH","/inc/search.tpl");	
	define("TPL_READ","/inc/read.tpl");
	define("TPL_MESSAGES","/inc/messages.tpl");
	define("TPL_CALENDAR","/inc/calendar.tpl");
	define("TPL_NEW","/inc/new.tpl");	
	define("TPL_NEWRESULTS","/inc/newresults.tpl");	
	define("TPL_FOLDERS","/inc/folders.tpl");
	define("TPL_FOLDRESULTS","/inc/foldresults.tpl");
	define("TPL_ADDDISPLAY","/inc/adddisplay.tpl");	
	define("TPL_ADDLIST","/inc/addlist.tpl");	
	define("TPL_ADDFORM","/inc/addform.tpl");	
	define("TPL_ADDRESULTs","/inc/addresults.tpl");	
	define("TPL_PREFS","/inc/prefs.tpl");	
	
	
		
	// Templates, used in conjunction with config.template.php

	define("HTML_ADDRESS_DISPLAY","address-display.htm");	// Display a contact's data
	define("HTML_ADDRESS_FORM","address-form.htm");    		// Form to edit/modify a contact
	define("HTML_ADDRESS_LIST", "address-list.htm");     	// List of the contacts
	define("HTML_ADDRESS_RESULT","address-results.htm");  	// Result about operation on contacts
	define("HTML_ADMIN","admin.htm");  						// Admin login page
	define("HTML_ADMIN_ACTIONS","admin-actions.htm");  		// Admin menu
	define("HTML_ADMIN_LOGIN","admin-login.htm");  			// Admin login process
	define("HTML_BAD_LOGIN","bad-login.htm");        		// Login failure
	define("HTML_BLOCK_ADDRESS","block-address.htm"); 		// Spam address pop-up
	define("HTML_CATCH_ADDRESS","catch-address.htm");    	// Address catcher pop-up
	define("HTML_CHAT","chat.htm");  						// Chat welcome page
	define("HTML_CHAT_BOX","chat-box.htm");  				// Chat room
	define("HTML_ERROR","error.htm");            			// System error
	define("HTML_FOLDERS","folders.htm");          			// List of the folders
	define("HTML_FOLDERS_RESULT","folders-results.htm");  	// Result of folder actions
	define("HTML_HEADERS_WINDOW","headers-window.htm");   	// Display the mail headers
	define("HTML_HELP","help.htm");  						// Help pages
	define("HTML_LOGIN","login.htm");            			// Inital page (Login)
	define("HTML_MESSAGE_LIST","message-list.htm");    		// List of messages
	define("HTML_NEWMSG","newmsg.htm");           			// New message page
	define("HTML_NEWMSG_RESULT","newmsg-results.htm");    	// Result about sent messages
	define("HTML_PREFERENCES","preferences.htm");      		// Preference setting page
	define("HTML_PRINT_MESSAGE","print-message.htm");    	// Print friendly version
	define("HTML_CALENDAR","calendar.htm");    				// Calendar page
	define("HTML_QUICK_ADDRESS","quick_address.htm");    	// Pop-Up for quick address list
	define("HTML_READMSG","readmsg.htm");          			// Read a messgae
	define("HTML_READMSG_POPUP","readmsg-popup.htm");  		// Pop-up for attached message
	define("HTML_SEARCH","search.htm");           			// Form and result for search
	define("HTML_SPAM_ADDRESS","spam-address.htm");    		// Pop for spam
	define("HTML_UPLOAD_ATTACH","upload-attach.htm");    	// Pop-up to attach document
	define("HTML_UPLOAD_PHOTO","upload-photo.htm");  		// Pop-up a contact's photo
	
	
	define("HTML_CALBOX","themes/default/calendar-box.htm"); // Calendar Frame page (because its not defined in smarty yet) 
	

	// Database Files
	define("DB_FILTERS","_infos/filters.ucf");  			
	define("DB_ADRESSBOOK","_infos/addressbook.ucf");  	
	define("DB_PREFERENCES","_infos/prefs.upf");  			
	define("DB_CALENDAR","_infos/events.upf"); 
  define("DB_ADMIN","system_admin/admin.ucf"); 
  define("DB_LOG_FILE","system_admin/log.ucf");
  define("DB_CHAT_DATA","chat/chatdata.ucf");
  define("DB_CHAT_ONLINE","chat/online.ucf");
  define("DB_CHAT_UPLOAD","chat/upload/");
  	
	
	// Config Files
	define("CFG_APPS","inc/config/config.uebimiau.php");		
	define("CFG_SYSTEM","inc/config/config.system.php");		
	define("CFG_CONFIG","inc/config/config.php");			
	define("CFG_LANGUAGES","inc/config/config.languages.php");	
	define("CFG_THEMES","inc/config/config.themes.php");	
	define("CFG_MAIL","inc/config/config.mail.php");		
	define("CFG_CHAT","inc/config/config.chat.php");			
	define("CFG_PATHS","inc/config/config.paths.php");			
	define("CFG_CALENDAR","inc/config/config.calendar.php");  
	define("CFG_TEMPLATES","inc/config/config.templates.php"); 
	define("CFG_BACKUP","admin/backup/config.backup.php");
	define("CFG_HELP","docs/admin_help.txt");
	
	define("CFG_FILES","admin/filemanager/admin.php"); // Absolute path to the administrator filemanager
		
	
	define("INCL_FOLDERS","inc/folder_list.php"); 
	define("INCL_FUNCTIONS","inc/functions.php"); 
	
	// System Files 
	define("SYS_FUNCTIONS","inc/functions.php"); 
	define("SYS_LIB","inc/lib.php"); 
	define("SYS_INC","inc/inc.php"); 
	define("SYS_FILTER","inc/htmlfilter.php");  
	define("SYS_AUTH","inc/auth.php"); 
	
	define("CLASS_PHPMAILER","inc/class/class.phpmailer.php");  
	define("CLASS_PHPMAILER_EXTRA","inc/class/class.phpmailer_extra.php");  // Absolute path to phpmailer_extra.php
	define("CLASS_SMTP","inc/class/class.smtp.php");  // Absolute path to class.smtp.php
	define("CLASS_TNEF","inc/class/class.tnef.php");  // Absolute path to class.tnef.php
	define("CLASS_UEBI","inc/class/class.uebimiau.php");  // Absolute path to class.uebimiau.php
	define("CLASS_UEBU_MAIL","inc/class/class.uebimiau_mail.php");  // Absolute path to class.uebimiau_mail.php
	define("CLASS_CALENDAR","class.calendar.php");  // Absolute path to config.calendar.php
			
	define("EDIT_NEW","editors/newmsg_editor.php");						// Absolute path to Database directory
	define("EDIT_PREF","editors/preferences_editor.php");
	define("EDIT_ADD","editors/preferences_editor.php");
	
	//define("PATH_DATABASE","./database/");						// Absolute path to Database directory
	define("PATH_ADMIN","admin/");								// Absolute path to Admin directory
	define("PATH_CONFIG","inc/config/");	
	define("FRAME_ADMIN","admin_body.php");								// Absolute path to Admin directory
	define("PATH_INSTALL","admin/install/");
	

	define("PATH_LANGS","langs/");  							// Absolute path to languages
	define("PATH_DOCS","docs/");  							// Absolute path to documentation
	define("PATH_THEMES","themes/");
	define("PATH_LANG_PHPMAILER","langs/");  					// Absolute path to languages for phpMailer
	define("PATH_APPLY_FILTERS","apply_filters.php");  					// Absolute path to languages for phpMailer
	define("PATH_GET_MESSAGES","get_message_list.php");  					// Absolute path to languages for phpMailer
	define("PATH_mail_PluginDir","./"); 
	define("PATH_BACKUP","admin/backup/backup.php");  
	define("PATH_VIEWBACKUPS","admin/backup/filemanager.php"); 
	define("PATH_BACKUP_DIR","admin/backup/backup_files/"); 
	
	define("LOG_DATE","F j, Y, H:i ");  					// Log events date format

	
	#_Contact_Photo_#
	$image_max_width = 200;									// Set maximum contact's photo size in pixels,
	$image_max_height = 200;								// if changed, please update langs files messages accordingly
	
	
	
	
?>